GET api/cleanroomapi/cleanroom/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_type_id": "a916fee2-536f-469f-a0f9-8156296c2a23",
"communication_server_id": "29baa004-26f5-45ed-a4a8-2ad2779b6c7a",
"id": "ef59194e-3279-4e10-9f17-2262e2677921",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
application/xml, text/xml
Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_type_id>a916fee2-536f-469f-a0f9-8156296c2a23</cleanroom_type_id> <communication_server_id>29baa004-26f5-45ed-a4a8-2ad2779b6c7a</communication_server_id> <id>ef59194e-3279-4e10-9f17-2262e2677921</id> <local_id>1</local_id> <local_name>sample string 3</local_name> <name>sample string 4</name> <type_of_temperature>sample string 5</type_of_temperature> </cleanroom>